\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-0.25,-0.25) rectangle (5.25,4.25);
\fill[line width=1.5pt,color=black,fill=G3] (2,2) -- (0,0) -- (3,0) -- (5,1) -- (3,2) -- cycle;
\draw [line width=1.5pt,mydashed] (2,2)-- (0,0);
\draw [line width=1.5pt] (0,0)-- (3,0);
\draw [line width=1.5pt] (3,0)-- (5,1);
\draw [line width=1.5pt,mydashed] (5,1)-- (3,2);
\draw [line width=1.5pt,mydashed] (3,2)-- (2,2);
\draw [line width=1.5pt] (2.6,4)-- (0,0);
\draw [line width=1.5pt] (2.6,4)-- (3,0);
\draw [line width=1.5pt] (2.6,4)-- (5,1);
\draw [line width=1.5pt,mydashed] (2.6,4)-- (3,2);
\draw [line width=1.5pt,mydashed] (2.6,4)-- (2,2);
\draw [line width=1.5pt,mydashed,color=C2] (2.6,4)-- (2.6,1);
\draw [line width=1.5pt,mydashed,color=C2] (2.6,1)-- (0,0);
\draw [line width=1.5pt,mydashed,color=C2] (2,2)-- (2.6,1);
\draw [line width=1.5pt,color=C2] (2.452468913528294,0.9432572744339593)-- (2.4524689135282944,1.111559256195495);
\draw [line width=1.5pt,color=C2] (2.4524689135282944,1.111559256195495)-- (2.6,1.1683019817615357);
\draw [line width=1.5pt,color=C2] (2.5199199254312563,1.2891144784632274)-- (2.5199199254312563,1.133466790947907);
\draw [line width=1.5pt,color=C2] (2.5199199254312563,1.2891144784632274)-- (2.6,1.1556476875153205);
\end{tikzpicture}
\end{document}